Details

    • Type: Bug Bug
    • Status: Closed
    • Resolution: Fixed
    • Affects Version/s: 5.1.2, 5.2.2
    • Fix Version/s: 5.2.3
    • Component/s: None
    • Labels:
      None
    • Branch Version/s:
      5.1.x
    • Backported to Branch:
      Committed
    • Similar Issues:
      Show 5 results 

      Description

      Liferay comes with a later version of Rhino / YUI Compressor than WebLogic

      To address this issue, we have made a liferay-rhino.jar and a liferay-yuicompressor.jar that namespaces the package names from org.mozilla.javascript to com.liferay.mozilla.javascript and com.yahoo.platform.yui to com.liferay.yahoo.platform.yui to prevent the naming conflict.

      Go to portal-impl and run "ant build-yui" to see how we make liferay-rhino.jar and liferay-yuicompressor.jar.

      Note: liferay-rhino.jar is a modified version from YUI Compressor.

        Issue Links

          Activity

          Hide
          Brian Chan added a comment -

          Beautiful Sam.

          Show
          Brian Chan added a comment - Beautiful Sam.
          Hide
          Anatoli Kuzmin added a comment -

          Did you try set prefer-application-packages in weblogic-application.xml?

          Show
          Anatoli Kuzmin added a comment - Did you try set prefer-application-packages in weblogic-application.xml?
          Hide
          Geoff Ruscoe added a comment - - Restricted to

          I am still seeing problems with rhino. I am using 5.2.3 and get the error at:

          ERROR [MinifierUtil:87] JavaScript Minifier failed for

          ...js stuff...

          I am using glassfish and have tried to find anything relating to this error, however, what I see is

          I am using liferay 5.2.3 with liferay-rhino.jar and still see this error. Nothing I do wrt removing rhino.jar from jdk1.6.16 or copying jars around to different glassfish/lib directories has made any effect. I was told this was a glassfish / minifier error, but I don't see how its related to an app server now that they are renamed to liferay-rhino and repackaged.

          Show
          Geoff Ruscoe added a comment - - Restricted to I am still seeing problems with rhino. I am using 5.2.3 and get the error at: ERROR [MinifierUtil:87] JavaScript Minifier failed for ...js stuff... I am using glassfish and have tried to find anything relating to this error, however, what I see is I am using liferay 5.2.3 with liferay-rhino.jar and still see this error. Nothing I do wrt removing rhino.jar from jdk1.6.16 or copying jars around to different glassfish/lib directories has made any effect. I was told this was a glassfish / minifier error, but I don't see how its related to an app server now that they are renamed to liferay-rhino and repackaged.

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                5 years, 12 weeks, 5 days ago

                Development

                  Structure Helper Panel